/// class PD.Manage.Services.LicenseService.js

PD.Manage.Services.LicenseService =
Class.extend({
    
    //===================================
    // CONSTRUCTOR
    //===================================

    init: function (viewGrid) {
    },

    //===================================
    // PUBLIC METHODS
    //===================================

    delete: function (id, success, error) {

        PD.ajax({
            type: "DELETE",
            url: PD.Path.resolve("~/Manage/Licenses/Delete"),
            data: {
                id: id
            },
            success: success,
            error: error
        });


    },

    apply: function (id, success, error) {

        PD.ajax({
            type: "POST",
            url: PD.Path.resolve("~/Manage/Licenses/Apply"),
            data: {
                id: id
            },
            success: success,
            error: error
        });

    }

});